## org.python.core
Class InternalTables

    java.lang.Object
      |
      +--org.python.core.InternalTables

Direct Known Subclasses:
  InternalTables1

public abstract class InternalTables
extends java.lang.Object

Nested Class Summary
`static class` `InternalTables._LazyRep`

Constructor Summary
`InternalTables()`

Method Summary
`abstract void` `_beginCanonical()`
`abstract void` `_beginLazyCanonical()`
`abstract void` `_beginOverAdapterClasses()`
`abstract void` `_beginOverAdapters()`
`boolean` `_doesSomeAutoUnload()`
`abstract void` `_flush(PyJavaClass jc)`
`abstract void` `_flushCurrent()`
`void` `_forceCleanup()`
`abstract java.lang.Object` `_next()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalTables

    public InternalTables()

Method Detail

### _doesSomeAutoUnload

    public boolean _doesSomeAutoUnload()

### _forceCleanup

    public void _forceCleanup()

### _beginCanonical

    public abstract void _beginCanonical()

### _beginLazyCanonical

    public abstract void _beginLazyCanonical()

### _beginOverAdapterClasses

    public abstract void _beginOverAdapterClasses()

### _beginOverAdapters

    public abstract void _beginOverAdapters()

### _next

    public abstract java.lang.Object _next()

### _flushCurrent

    public abstract void _flushCurrent()

### _flush

    public abstract void _flush(PyJavaClass jc)

Jython homepage